import { ConfigurationService } from 'src/modules/config/config.service';
import { ConnectionOptions, createConnection } from 'typeorm';

export const databaseProviders = [
  {
    provide: 'DATABASE_CONNECTION',
    useFactory: async (config: ConfigurationService) => {
      return await createConnection({
        ...config.get<ConnectionOptions>('database'),
      });
    },
    inject: [ConfigurationService],
  },
];
