import * as nodemailer from 'nodemailer';
import { SMTPConfiguration } from 'src/modules/config/config.interfaces';
import { ConfigurationService } from 'src/modules/config/config.service';

export const emailProviders = [
  {
    provide: 'EMAIL_TRANSPORT',
    useFactory: async (config: ConfigurationService) =>
      nodemailer.createTransport(config.get<SMTPConfiguration>('email.smtp')),
    inject: [ConfigurationService],
  },
];
